
Ruby - Bug #3695

r28978 fails to make all

08/14/2010 06:05 PM - shyouhei (Shyouhei Urabe)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 1.9.3   

ruby -v: ruby 1.9.3dev (2010-08-14 trunk 28978)

[x86_64-linux]

Backport:  

Description

=begin

r28978以降コンパイルできません。ログ: http://www.atdot.net/sp/raw/v1v47l

長いので抜粋すると、

make[1]: Entering directory `/build/ext/coverage'

gcc -I. -I../../.ext/include/x86_64-linux -I/src/include -I/src/ext/coverage -DRUBY_EXTCONF_H="extconf.h"

-D_FORTIFY_SOURCE=2 -D_BSD_SOURCE -D_SVID_SOURCE -D_POSIX_SOURCE -D_POSIX_C_SOURCE=200809L   -fPIC

-pipe -O0 -march=athlon64 -mcmodel=large -ggdb3 -std=iso9899:199409 -pedantic -Wall -Wextra -Wundef -Wno-format

-Wno-long-long -Wno-parentheses -Wno-unused -Wno-sign-compare -Wno-missing-field-initializers  -o coverage.o -c

/src/ext/coverage/coverage.c

In file included from /src/ext/coverage/coverage.c:12:

/src/ext/coverage/../../vm_core.h:23:16: error: id.h: No such file or directory

make[1]: *** [coverage.o] Error 1

となっています。

ビルドディレクトリ(/build)とソースディレクトリ(/src)がわかれています。

id.hは/build/id.hに生成されています。

/src/ext/coverage/coverage.cをコンパイルする際に/buildはinclude pathに含まれていないようです

といったあたりが観測されます。

=end

History

#1 - 08/14/2010 07:17 PM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r28987.

Shyouhei, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
